com.ihr.xbrl.dts

## Class RoleChecker

- java.lang.Object
- - com.ihr.xbrl.dts.RoleChecker

-     public class RoleChecker
      extends java.lang.Object

  Static methods to check if a role is negated or total.
  Author:
    ihr

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleChecker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isNegated(java.lang.String roleURI)` Returns true if the role type passed in the roleURI parameter is defined as a negated role The list of negated roles is in the NegatedSupport interface.
    `static boolean` | `isNegated(XBRLRoleType role)` Returns true if the role type passed in the role parameter is defined as a negated role The list of negated roles is in the NegatedSupport interface.
    `static boolean` | `isNet(java.lang.String roleURI)` Returns true if the role type passed in the roleURI parameter is defined as a net role The list of net roles is in the NetSupport interface.
    `static boolean` | `isNet(XBRLRoleType role)` Returns true if the role type passed in the role parameter is defined as a net role The list of net roles is in the NetSupport interface.
    `static boolean` | `isTotal(java.lang.String roleURI)` Returns true if the role type passed in the roleURI parameter is defined as a total role The list of total roles is in the TotalSupport interface.
    `static boolean` | `isTotal(XBRLRoleType role)` Returns true if the role type passed in the role parameter is defined as a total role The list of total roles is in the TotalSupport interface.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleChecker

          public RoleChecker()

  - ### Method Detail

    - #### isNegated

          public static boolean isNegated(XBRLRoleType role)

      Returns true if the role type passed in the role parameter is defined as a negated role The list of negated roles is in the NegatedSupport interface.
      Parameters:
        `role` - the role
      Returns:
        boolean value

    - #### isTotal

          public static boolean isTotal(XBRLRoleType role)

      Returns true if the role type passed in the role parameter is defined as a total role The list of total roles is in the TotalSupport interface.
      Parameters:
        `role` - the role
      Returns:
        boolean value

    - #### isNet

          public static boolean isNet(XBRLRoleType role)

      Returns true if the role type passed in the role parameter is defined as a net role The list of net roles is in the NetSupport interface.
      Parameters:
        `role` - the role
      Returns:
        boolean value

    - #### isNegated

          public static boolean isNegated(java.lang.String roleURI)

      Returns true if the role type passed in the roleURI parameter is defined as a negated role The list of negated roles is in the NegatedSupport interface.
      Parameters:
        `roleURI` - the role uri
      Returns:
        boolean value

    - #### isTotal

          public static boolean isTotal(java.lang.String roleURI)

      Returns true if the role type passed in the roleURI parameter is defined as a total role The list of total roles is in the TotalSupport interface.
      Parameters:
        `roleURI` - the role uri
      Returns:
        boolean value

    - #### isNet

          public static boolean isNet(java.lang.String roleURI)

      Returns true if the role type passed in the roleURI parameter is defined as a net role The list of net roles is in the NetSupport interface.
      Parameters:
        `roleURI` - the role uri
      Returns:
        boolean value